Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableFillColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFillColor:
[legend]
Collaboration diagram for Magick::DrawableFillColor:
[legend]

## Public Member Functions
| DrawableFillColor (const Color &color_)
| DrawableFillColor (const DrawableFillColor &original_)
| ~DrawableFillColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | color (const Color &color_)
Color | color (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 936 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableFillColor() [1/2]

Magick::DrawableFillColor::DrawableFillColor | ( | const Color & | color_ | ) |

Definition at line 684 of file Drawable.cpp.

## ◆ DrawableFillColor() [2/2]

Magick::DrawableFillColor::DrawableFillColor | ( | const DrawableFillColor & | original_ | ) |

Definition at line 689 of file Drawable.cpp.

## ◆ ~DrawableFillColor()

Magick::DrawableFillColor::~DrawableFillColor | ( | void |  | ) |

Definition at line 694 of file Drawable.cpp.

## Member Function Documentation

## ◆ color() [1/2]

void Magick::DrawableFillColor::color | ( | const Color & | color_ | ) |
| inline

Definition at line 951 of file Drawable.h.

## ◆ color() [2/2]

Color Magick::DrawableFillColor::color | ( | void |  | ) | const
| inline

Definition at line 955 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableFillColor::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 706 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableFillColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 698 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp